// 描画領域、カメラ、ライトの設定
var renderer = new THREE.WebGLRenderer({ antialias: true });
renderer.setSize( 800, 600 );	// サイズを指定
renderer.setClearColor( 0xcfcfff );	// 背景色を指定
document.body.appendChild( renderer.domElement );	// ページ末尾に追加
var camera = new THREE.PerspectiveCamera( 70, 1.0, 1, 1000 );	// カメラ画角などの設定
camera.position.set(0, 0, 40);	// カメラ位置の設定
var scene = new THREE.Scene();	// シーンの生成
var light = new THREE.DirectionalLight(0xffffff, 1.25);	// ライトを生成
light.position.set(-900, 1120, 2000);	// ライトの位置を設定
scene.add(light);	// ライトを追加
// 正12面体を生成してシーンに追加
var icosahedron = new THREE.Mesh(
	new THREE.IcosahedronGeometry( 15, 0 ),	// 正12面体
	new THREE.MeshLambertMaterial( { color : 0xff0000 } )	// Lambertで色を指定
);
scene.add(icosahedron);	// シーンに正12面体を追加
renderer.render( scene, camera );	// シーンを描画
